/*
 * EquationAction.java
 *
 * Created on Ketvirtadienis, 2007, Sausio 25, 17.22
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Main.parser;


public abstract class EquationAction extends AbstractEquationElement
{
	protected AbstractEquationElement mFirst;
	protected AbstractEquationElement mSecond;
	
	public EquationAction()
	{
		
	}
	
	public EquationAction(AbstractEquationElement first, AbstractEquationElement second)
	{
		mFirst= first;
		mSecond= second;
	}
	
	public void setFirst(AbstractEquationElement first)
	{
		mFirst= first;
	}
	
	public AbstractEquationElement getFirst()
	{
		return mFirst;
	}
	
	public void setSecond(AbstractEquationElement second)
	{
		mSecond= second;
	}
	
	public AbstractEquationElement getSecond()
	{
		return mSecond;
	}
	
	public String toString()
	{
		return "(".concat(mFirst.toString().concat(mSecond.toString())).concat(")");	
	}
	
}

